﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace VDDuyetFileTreeView
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void LoadDrives()
        {
            string[] drives = Environment.GetLogicalDrives();

            foreach (string x in drives)
            {
                TreeNode node = new TreeNode();
                node.Text = x;

                treeView1.Nodes.Add(node);
                LoadFiles(node);
            }
        }

        private void LoadFiles(TreeNode parent)
        {
            string path = parent.FullPath;

            // Lay cac thu muc con cua parent
            try
            {
                string[] folder = Directory.GetDirectories(path);
                foreach (string x in folder)
                {
                    TreeNode node = new TreeNode();
                    node.Text = x;

                    parent.Nodes.Add(node);
                }
            }
            catch 
            {}

            // Lay cac file con cua parent
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            LoadDrives();
        }
    }
}
